summaryrefslogtreecommitdiffstats
path: root/third_party/msgpack/update.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 19:33:14 +0000
commit36d22d82aa202bb199967e9512281e9a53db42c9 (patch)
tree105e8c98ddea1c1e4784a60a5a6410fa416be2de /third_party/msgpack/update.sh
parentInitial commit. (diff)
downloadfirefox-esr-36d22d82aa202bb199967e9512281e9a53db42c9.tar.xz
firefox-esr-36d22d82aa202bb199967e9512281e9a53db42c9.zip
Adding upstream version 115.7.0esr.upstream/115.7.0esr
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--third_party/msgpack/update.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/third_party/msgpack/update.sh b/third_party/msgpack/update.sh
new file mode 100644
index 0000000000..e6f37de3da
--- /dev/null
+++ b/third_party/msgpack/update.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# Script to update the mozilla in-tree copy of the msgpack library.
+# Run this within the /third_party/msgpack directory of the source tree.
+
+MY_TEMP_DIR=`mktemp -d -t msgpack_update.XXXXXX` || exit 1
+
+COMMIT="b6803a5fecbe321458faafd6a079dac466614ff9"
+
+git clone -n https://github.com/msgpack/msgpack-c ${MY_TEMP_DIR}/msgpack
+git -C ${MY_TEMP_DIR}/msgpack checkout ${COMMIT}
+
+VERSION=$(git -C ${MY_TEMP_DIR}/msgpack describe --tags)
+perl -p -i -e "s/Current version: \S+ \[commit [0-9a-f]{40}\]/Current version: ${VERSION} [commit ${COMMIT}]/" README-mozilla;
+FILES="src include"
+
+for f in $FILES; do
+ rm -rf $f
+ mv ${MY_TEMP_DIR}/msgpack/$f $f
+done
+
+rm -rf ${MY_TEMP_DIR}
+
+hg revert -r . moz.build
+hg addremove .
+
+echo "###"
+echo "### Updated msgpack to $COMMIT."
+echo "### Remember to verify and commit the changes to source control!"
+echo "###"